DPRINTF(3)

NAME
dprintf, vdprintf - print to a file descriptor

SYNOPSIS
#include <stdio.h>

int dprintf(int fd, const char *format, ...);

int vdprintf(int fd, const char *format, va_list ap);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

dprintf(), vdprintf():
    Since glibc 2.10:
        _XOPEN_SOURCE >= 700 || _POSIX_C_SOURCE >= 200809L
    Before glibc 2.10:
        _GNU_SOURCE

DESCRIPTION
The functions dprintf() and vdprintf() (as found in the glibc2 library) are exact analogs of fprintf(3) and vfprintf(3), except that they output to a file descriptor fd instead of to a stdio stream.

CONFORMING TO
These functions are GNU extensions that are nowadays specified in POSIX.1-2008.

SEE ALSO
printf(3)

COLOPHON
This page is part of release 3.69 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at http://www.kernel.org/doc/man-pages/.